
Redmine - Defect #1983

statistics get rather cramped with more than 15 or so contributers

2008-10-03 04:34 - David Kowis

Status: Closed Start date: 2008-10-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed Affected version:  

Description

Since the SVG stays the same size, it gets rather cramped in there. I hacked the source code to get it to be flexible if there's more

than a certain number of people contributing, then it does some math to make it longer. I'm sure it's not very good, but at least it's

something :)

Note: I'm somewhat of a n00b to rails, so I'm sure it's not done the "right way"(c)(tm)(r)

Related issues:

Related to Redmine - Patch #13486: Make height of "Commits per author" graph ... Closed

Related to Redmine - Patch #14068: Increase base height of author lines on 'C... Closed

Related to Redmine - Defect #31345: Author names in "Commits per author" stat... New

Has duplicate Redmine - Defect #14755: Repository statistics page is a mess b... Closed

Associated revisions

Revision 11723 - 2013-04-18 04:07 - Toshi MARUYAMA

make height of "Commits per author" graph flexible (#1983, #13486)

Contributed by Max Horn.

Revision 11846 - 2013-05-16 06:29 - Toshi MARUYAMA

remove width and height from repository stats embed tags (#1983, #13486)

Revision 11847 - 2013-05-16 06:29 - Toshi MARUYAMA

increase base height of author lines on 'Commits per author' graph (#14068, #1983)

Contributed by Mischa The Evil.

History

#1 - 2008-10-03 05:05 - David Kowis

- File quick_hack.patch added

Whoops, I borked that one patch. Forgot to do the smart thing ;)

#2 - 2008-10-03 05:06 - David Kowis

Hrm. I just realized there's no good way to "obsolete a patch"...

Well the latest quick_hack.patch is the right one :/

#3 - 2011-03-01 13:42 - Toshi MARUYAMA

- Category set to SCM

#4 - 2013-03-15 16:34 - Anonymous

I have provided an alternate fix for this in issue #13486

#5 - 2013-04-18 05:33 - Toshi MARUYAMA

- File after.png added

- File before.png added

2025-08-23 1/3

https://www.redmine.org/issues/13486


- Status changed from New to Closed

- Target version set to 2.4.0

- Resolution set to Fixed

These are Mercurial 1.0 images

http://selenic.com/repo/hg/rev/bae2e9c838e9

r11722

 

r11723

 

#6 - 2013-05-16 06:33 - Toshi MARUYAMA

#14068 description has r11847 images.

#7 - 2013-08-23 20:01 - Mischa The Evil

- Has duplicate Defect #14755: Repository statistics page is a mess because there are many users added
#8 - 2019-05-12 07:42 - Go MAEDA

- Related to Defect #31345: Author names in "Commits per author" statistics is unreadable if there are many authors added

Files

quick_hack.patch 3.27 KB 2008-10-03 David Kowis

quick_hack.patch 3.29 KB 2008-10-03 David Kowis

after.png 50.8 KB 2013-04-18 Toshi MARUYAMA

before.png 139 KB 2013-04-18 Toshi MARUYAMA

Powered by TCPDF (www.tcpdf.org)

2025-08-23 3/3

http://www.tcpdf.org

